import request from '@/utils/request'
import { praseStrEmpty } from "@/utils/ruoyi";

//  ****培训报名****
// 查询培训报名的列表
export function listApply(query) {
  return request({
    url: '/train/applyList',
    method: 'get',
    params: query
  })
}
// 删除培训报名
export function deltrain(Id) {
    return request({
      url: '/train/' + Id,
      method: 'delete'
    })
  }
//新增培训报名人员
export function addsigntrain(data) {
    return request({
      url: '/train/trainApply',
      method: 'post',
      data: data
    })
  }

//  ****考试报名****
// 查询考试报名的列表
export function listExam(query) {
    return request({
      url: '/train/examList',
      method: 'get',
      params: query
    })
  }
//新增考试报名人员
export function addkaostrain(data) {
    return request({
      url: '/train/examApply',
      method: 'post',
      data: data
    })
  }

//  ****培训课程****
// 查询培训的列表 不需要传token
export function listCourse(query) {
    return request({
      headers: {
        isToken: false
      },
      url: '/train/course/list',
      method: 'get',
      params: query
    })
  }
  // 查询培训的列表
export function listCourseall(query) {
  return request({
    url: '/train/course/findAll',
    method: 'get',
    params: query
  })
}
// 查询当前培训课程的信息
export function getCourseById(courseId) {
    return request({
      url: '/train/course/' + courseId,
      method: 'get'
    })
  }
//   新增课程
  export function addcourse(data) {
    return request({
      url: '/train/course/add',
      method: 'post',
      data: data
    })
  }
// 修改课程信息
export function updatecourse(data) {
    return request({
      url: '/train/course/update',
      method: 'post',
      data: data
    })
  }
  // 删除当前培训课程的信息
export function delCourseById(courseId) {
    return request({
      url: '/train/course/' + courseId,
      method: 'delete'
    })
  }

//  ****期号管理****
//获取期号列表
export function listissue(query) {
  return request({
    url: '/train/issue/list',
    method: 'get',
    params: query
  })
}
// 修改期号
export function updateissue(data) {
  return request({
    url: '/train/issue/update',
    method: 'post',
    data: data
  })
}
// 查询当前期号的信息
export function getissueById(issueId) {
  return request({
    url: '/train/issue/' + issueId,
    method: 'get'
  })
}
//   新增期号
export function addissue(data) {
  return request({
    url: '/train/issue/add',
    method: 'post',
    data: data
  })
}
  // 删除当前期号
  export function delissue(issueId) {
    return request({
      url: '/train/issue/del/' + issueId,
      method: 'delete'
    })
  }
//获取已发布的期号列表
export function releaseissue(query) {
  return request({
    url: '/train/issue/select',
    method: 'get',
    params: query
  })
}